// Copyright (c) .NET Foundation. All rights reserved.
// Licensed under the Apache License, Version 2.0. See License.txt in the project root for license information.

namespace Microsoft.AspNetCore.Mvc.ViewFeatures
{
    /// <summary>
    /// Specifies constants which define an input type.
    /// </summary>
    public enum InputType
    {
        /// <summary>
        /// A check box input.
        /// </summary>
        CheckBox,

        /// <summary>
        /// A hidden input.
        /// </summary>
        Hidden,

        /// <summary>
        /// A password input.
        /// </summary>
        Password,

        /// <summary>
        /// A radio input.
        /// </summary>
        Radio,

        /// <summary>
        /// A text input.
        /// </summary>
        Text
    }
}
